function [zvect,gammavect,fractions]=runVRM(zvort,Gammavort,nu,deltat,order,boundary,remove,ignore,infractions)
VRMoptions.order=order;
VRMoptions.hnu=sqrt(nu*deltat);
VRMoptions.cutoff=VRMoptions.hnu*4; %for VRMorder=2, this is quite sensitive. Best approximation around 3.5*hnu, but 4 *hnu gives significantly less vortices
VRMoptions.innercutoff=VRMoptions.hnu*0.2;
VRMoptions.newposmethod='trianglecenter';
% VRMoptions.newposmethod='original';
VRMoptions.noaddelete=1;
VRMoptions.probe=0;
VRMoptions.gammacutoff=1e-16;
if nargin >= 6
    VRMoptions.boundary=boundary;
end
if nargin >= 7
    VRMoptions.delete=remove;
end
if nargin >= 8
    VRMoptions.ignore=ignore;
end
if nargin >= 9
    VRMoptions.fractions=infractions;
end
% VRMoptions.newposmaxdist
% smat=connect(zvort,VRMoptions.cutoff*1);
if nargout <= 2
%     [newzvort gammavect]=VRM2Dold(VRMoptions,zvort,smat,Gammavort);
    [newzvort gammavect]=VRM2D(VRMoptions,zvort,Gammavort);
else
%     [newzvort gammavect fractions]=VRM2D(VRMoptions,zvort,smat,Gammavort);
    [newzvort gammavect fractions]=VRM2D(VRMoptions,zvort,Gammavort);
end
zvect=[zvort newzvort];