function create_plots_khinstability()
% create plots for K-H instability experiment

load(strcat('examples/data/kh_small_at3b.mat'))

figure()
hold off
plot(real(vortices(gammas<0)),imag(vortices(gammas<0)),'bx','MarkerSize',2);
hold on
plot(real(vortices(gammas>0)),imag(vortices(gammas>0)),'r+','MarkerSize',2);
axis tight 

set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 150 150]);


print('-depsc', strcat('examples/figs/kh_small_at3b_pointplot.eps'));


load(strcat('examples/data/kh_small_save0.mat'))

figure()
hold off
plot(real(vortices(gammas<0)),imag(vortices(gammas<0)),'bx','MarkerSize',2);
hold on
plot(real(vortices(gammas>0)),imag(vortices(gammas>0)),'r+','MarkerSize',2); 

set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 150 150]);


print('-depsc', strcat('examples/figs/kh_small_save0_pointplot.eps'));